import { ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import { Subject } from 'rxjs';
export declare class MdbPopoverDirective implements OnInit, OnDestroy {
    private _overlay;
    private _overlayPositionBuilder;
    private _elementRef;
    mdbPopover: string;
    mdbPopoverTitle: string;
    popoverDisabled: boolean;
    placement: string;
    template: boolean;
    animation: boolean;
    trigger: string;
    delayShow: number;
    delayHide: number;
    offset: number;
    popoverShow: EventEmitter<MdbPopoverDirective>;
    popoverShown: EventEmitter<MdbPopoverDirective>;
    popoverHide: EventEmitter<MdbPopoverDirective>;
    popoverHidden: EventEmitter<MdbPopoverDirective>;
    private _overlayRef;
    private _tooltipRef;
    private _open;
    private _showTimeout;
    private _hideTimeout;
    readonly _destroy$: Subject<void>;
    constructor(_overlay: Overlay, _overlayPositionBuilder: OverlayPositionBuilder, _elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _bindTriggerEvents;
    private _createOverlayConfig;
    private _createOverlay;
    private _getPosition;
    show(): void;
    hide(): void;
    toggle(): void;
}
